#!/usr/bin/env bash

DEV_COMPOSE_FILE="docker-compose-dev-backend.yml"

[ "$( docker container inspect -f '{{.State.Status}}' notatest-psql )" = "running" ] || docker compose up notatest-psql -d

# Shutdown, rebuild, & restart
docker compose stop notatest-server && docker compose rm -f notatest-server
docker compose -f $DEV_COMPOSE_FILE build
docker compose -f $DEV_COMPOSE_FILE up notatest-server
