#!/usr/bin/env bash

DEV_COMPOSE_FILE="docker-compose.yml"

[ "$( docker container inspect -f '{{.State.Status}}' notatest-psql )" = "running" ] || docker compose up notatest-psql -d

# Shutdown, rebuild, & restart
docker compose stop notatest-server notatest-web && docker compose rm -f notatest-server notatest-web
docker compose -f $DEV_COMPOSE_FILE build
docker compose -f $DEV_COMPOSE_FILE up notatest-server notatest-web
